function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_kitchen"
end

function p.main()
    set_default_block("r_kitchen")
    
    std.create_half_tube(3, "y_neg", "e")
    local msg_str = "Welcome to (Basement) Floor 1 of the turorial! "
        .. "You start at the top and work your way down.\n\n"
        .. "If you have not already, you should open "
        .. "the ^x00ff00Creation Manual^! pdf file. "
        .. "This can be found at the following website: "
        .. "http://danthemanhathaway.com/ComputerGames/\n"
        .. "FractalBlockWorld/ReleaseMisc/index.html\n\n"
        .. "Follow along as you move through this tutorial. "
        .. "At this point, it would help to read "
        .. "^x00ff00Chapter 1^! "
        .. "of the Creation Manual. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)

    std.create_half_tube(3, "y_pos", "e")
    std.create_half_tube(3, "z_neg", "e")
    std.create_center(7, "e")
    std.create_half_tube(3, "x_pos", "e")
    std.create_half_tube(3, "x_neg", "e")
end
